FindPkgConfig: use new version checking "library >= version" syntax

Instead of the deprecated --atleast-version one.
Status Job ID Name Coverage
  External
passed ghostflow-branch-check

passed ghostflow-commit-check